Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25a:d00a:e500/120
First address
2c19:dd:d9:dd:c25:c25a:d00a:e500
Last address
2c19:dd:d9:dd:c25:c25a:d00a:e5ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:c25a:d00a:e500
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.e.a.0.0.d.a.5.2.c.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25a:d00a:e500/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25a:d00a:e500/1282c19:dd:d9:dd:c25:c25a:d00a:e500
22c19:dd:d9:dd:c25:c25a:d00a:e501/1282c19:dd:d9:dd:c25:c25a:d00a:e501
32c19:dd:d9:dd:c25:c25a:d00a:e502/1282c19:dd:d9:dd:c25:c25a:d00a:e502
42c19:dd:d9:dd:c25:c25a:d00a:e503/1282c19:dd:d9:dd:c25:c25a:d00a:e503
52c19:dd:d9:dd:c25:c25a:d00a:e504/1282c19:dd:d9:dd:c25:c25a:d00a:e504
62c19:dd:d9:dd:c25:c25a:d00a:e505/1282c19:dd:d9:dd:c25:c25a:d00a:e505
72c19:dd:d9:dd:c25:c25a:d00a:e506/1282c19:dd:d9:dd:c25:c25a:d00a:e506
82c19:dd:d9:dd:c25:c25a:d00a:e507/1282c19:dd:d9:dd:c25:c25a:d00a:e507
92c19:dd:d9:dd:c25:c25a:d00a:e508/1282c19:dd:d9:dd:c25:c25a:d00a:e508
102c19:dd:d9:dd:c25:c25a:d00a:e509/1282c19:dd:d9:dd:c25:c25a:d00a:e509
112c19:dd:d9:dd:c25:c25a:d00a:e50a/1282c19:dd:d9:dd:c25:c25a:d00a:e50a
122c19:dd:d9:dd:c25:c25a:d00a:e50b/1282c19:dd:d9:dd:c25:c25a:d00a:e50b
132c19:dd:d9:dd:c25:c25a:d00a:e50c/1282c19:dd:d9:dd:c25:c25a:d00a:e50c
142c19:dd:d9:dd:c25:c25a:d00a:e50d/1282c19:dd:d9:dd:c25:c25a:d00a:e50d
152c19:dd:d9:dd:c25:c25a:d00a:e50e/1282c19:dd:d9:dd:c25:c25a:d00a:e50e
162c19:dd:d9:dd:c25:c25a:d00a:e50f/1282c19:dd:d9:dd:c25:c25a:d00a:e50f
172c19:dd:d9:dd:c25:c25a:d00a:e510/1282c19:dd:d9:dd:c25:c25a:d00a:e510
182c19:dd:d9:dd:c25:c25a:d00a:e511/1282c19:dd:d9:dd:c25:c25a:d00a:e511
192c19:dd:d9:dd:c25:c25a:d00a:e512/1282c19:dd:d9:dd:c25:c25a:d00a:e512
202c19:dd:d9:dd:c25:c25a:d00a:e513/1282c19:dd:d9:dd:c25:c25a:d00a:e513
212c19:dd:d9:dd:c25:c25a:d00a:e514/1282c19:dd:d9:dd:c25:c25a:d00a:e514
222c19:dd:d9:dd:c25:c25a:d00a:e515/1282c19:dd:d9:dd:c25:c25a:d00a:e515
232c19:dd:d9:dd:c25:c25a:d00a:e516/1282c19:dd:d9:dd:c25:c25a:d00a:e516
242c19:dd:d9:dd:c25:c25a:d00a:e517/1282c19:dd:d9:dd:c25:c25a:d00a:e517
252c19:dd:d9:dd:c25:c25a:d00a:e518/1282c19:dd:d9:dd:c25:c25a:d00a:e518
262c19:dd:d9:dd:c25:c25a:d00a:e519/1282c19:dd:d9:dd:c25:c25a:d00a:e519
272c19:dd:d9:dd:c25:c25a:d00a:e51a/1282c19:dd:d9:dd:c25:c25a:d00a:e51a
282c19:dd:d9:dd:c25:c25a:d00a:e51b/1282c19:dd:d9:dd:c25:c25a:d00a:e51b
292c19:dd:d9:dd:c25:c25a:d00a:e51c/1282c19:dd:d9:dd:c25:c25a:d00a:e51c
302c19:dd:d9:dd:c25:c25a:d00a:e51d/1282c19:dd:d9:dd:c25:c25a:d00a:e51d
312c19:dd:d9:dd:c25:c25a:d00a:e51e/1282c19:dd:d9:dd:c25:c25a:d00a:e51e
322c19:dd:d9:dd:c25:c25a:d00a:e51f/1282c19:dd:d9:dd:c25:c25a:d00a:e51f
332c19:dd:d9:dd:c25:c25a:d00a:e520/1282c19:dd:d9:dd:c25:c25a:d00a:e520
342c19:dd:d9:dd:c25:c25a:d00a:e521/1282c19:dd:d9:dd:c25:c25a:d00a:e521
352c19:dd:d9:dd:c25:c25a:d00a:e522/1282c19:dd:d9:dd:c25:c25a:d00a:e522
362c19:dd:d9:dd:c25:c25a:d00a:e523/1282c19:dd:d9:dd:c25:c25a:d00a:e523
372c19:dd:d9:dd:c25:c25a:d00a:e524/1282c19:dd:d9:dd:c25:c25a:d00a:e524
382c19:dd:d9:dd:c25:c25a:d00a:e525/1282c19:dd:d9:dd:c25:c25a:d00a:e525
392c19:dd:d9:dd:c25:c25a:d00a:e526/1282c19:dd:d9:dd:c25:c25a:d00a:e526
402c19:dd:d9:dd:c25:c25a:d00a:e527/1282c19:dd:d9:dd:c25:c25a:d00a:e527
412c19:dd:d9:dd:c25:c25a:d00a:e528/1282c19:dd:d9:dd:c25:c25a:d00a:e528
422c19:dd:d9:dd:c25:c25a:d00a:e529/1282c19:dd:d9:dd:c25:c25a:d00a:e529
432c19:dd:d9:dd:c25:c25a:d00a:e52a/1282c19:dd:d9:dd:c25:c25a:d00a:e52a
442c19:dd:d9:dd:c25:c25a:d00a:e52b/1282c19:dd:d9:dd:c25:c25a:d00a:e52b
452c19:dd:d9:dd:c25:c25a:d00a:e52c/1282c19:dd:d9:dd:c25:c25a:d00a:e52c
462c19:dd:d9:dd:c25:c25a:d00a:e52d/1282c19:dd:d9:dd:c25:c25a:d00a:e52d
472c19:dd:d9:dd:c25:c25a:d00a:e52e/1282c19:dd:d9:dd:c25:c25a:d00a:e52e
482c19:dd:d9:dd:c25:c25a:d00a:e52f/1282c19:dd:d9:dd:c25:c25a:d00a:e52f
492c19:dd:d9:dd:c25:c25a:d00a:e530/1282c19:dd:d9:dd:c25:c25a:d00a:e530
502c19:dd:d9:dd:c25:c25a:d00a:e531/1282c19:dd:d9:dd:c25:c25a:d00a:e531
512c19:dd:d9:dd:c25:c25a:d00a:e532/1282c19:dd:d9:dd:c25:c25a:d00a:e532
522c19:dd:d9:dd:c25:c25a:d00a:e533/1282c19:dd:d9:dd:c25:c25a:d00a:e533
532c19:dd:d9:dd:c25:c25a:d00a:e534/1282c19:dd:d9:dd:c25:c25a:d00a:e534
542c19:dd:d9:dd:c25:c25a:d00a:e535/1282c19:dd:d9:dd:c25:c25a:d00a:e535
552c19:dd:d9:dd:c25:c25a:d00a:e536/1282c19:dd:d9:dd:c25:c25a:d00a:e536
562c19:dd:d9:dd:c25:c25a:d00a:e537/1282c19:dd:d9:dd:c25:c25a:d00a:e537
572c19:dd:d9:dd:c25:c25a:d00a:e538/1282c19:dd:d9:dd:c25:c25a:d00a:e538
582c19:dd:d9:dd:c25:c25a:d00a:e539/1282c19:dd:d9:dd:c25:c25a:d00a:e539
592c19:dd:d9:dd:c25:c25a:d00a:e53a/1282c19:dd:d9:dd:c25:c25a:d00a:e53a
602c19:dd:d9:dd:c25:c25a:d00a:e53b/1282c19:dd:d9:dd:c25:c25a:d00a:e53b
612c19:dd:d9:dd:c25:c25a:d00a:e53c/1282c19:dd:d9:dd:c25:c25a:d00a:e53c
622c19:dd:d9:dd:c25:c25a:d00a:e53d/1282c19:dd:d9:dd:c25:c25a:d00a:e53d
632c19:dd:d9:dd:c25:c25a:d00a:e53e/1282c19:dd:d9:dd:c25:c25a:d00a:e53e
642c19:dd:d9:dd:c25:c25a:d00a:e53f/1282c19:dd:d9:dd:c25:c25a:d00a:e53f
652c19:dd:d9:dd:c25:c25a:d00a:e540/1282c19:dd:d9:dd:c25:c25a:d00a:e540
662c19:dd:d9:dd:c25:c25a:d00a:e541/1282c19:dd:d9:dd:c25:c25a:d00a:e541
672c19:dd:d9:dd:c25:c25a:d00a:e542/1282c19:dd:d9:dd:c25:c25a:d00a:e542
682c19:dd:d9:dd:c25:c25a:d00a:e543/1282c19:dd:d9:dd:c25:c25a:d00a:e543
692c19:dd:d9:dd:c25:c25a:d00a:e544/1282c19:dd:d9:dd:c25:c25a:d00a:e544
702c19:dd:d9:dd:c25:c25a:d00a:e545/1282c19:dd:d9:dd:c25:c25a:d00a:e545
712c19:dd:d9:dd:c25:c25a:d00a:e546/1282c19:dd:d9:dd:c25:c25a:d00a:e546
722c19:dd:d9:dd:c25:c25a:d00a:e547/1282c19:dd:d9:dd:c25:c25a:d00a:e547
732c19:dd:d9:dd:c25:c25a:d00a:e548/1282c19:dd:d9:dd:c25:c25a:d00a:e548
742c19:dd:d9:dd:c25:c25a:d00a:e549/1282c19:dd:d9:dd:c25:c25a:d00a:e549
752c19:dd:d9:dd:c25:c25a:d00a:e54a/1282c19:dd:d9:dd:c25:c25a:d00a:e54a
762c19:dd:d9:dd:c25:c25a:d00a:e54b/1282c19:dd:d9:dd:c25:c25a:d00a:e54b
772c19:dd:d9:dd:c25:c25a:d00a:e54c/1282c19:dd:d9:dd:c25:c25a:d00a:e54c
782c19:dd:d9:dd:c25:c25a:d00a:e54d/1282c19:dd:d9:dd:c25:c25a:d00a:e54d
792c19:dd:d9:dd:c25:c25a:d00a:e54e/1282c19:dd:d9:dd:c25:c25a:d00a:e54e
802c19:dd:d9:dd:c25:c25a:d00a:e54f/1282c19:dd:d9:dd:c25:c25a:d00a:e54f
812c19:dd:d9:dd:c25:c25a:d00a:e550/1282c19:dd:d9:dd:c25:c25a:d00a:e550
822c19:dd:d9:dd:c25:c25a:d00a:e551/1282c19:dd:d9:dd:c25:c25a:d00a:e551
832c19:dd:d9:dd:c25:c25a:d00a:e552/1282c19:dd:d9:dd:c25:c25a:d00a:e552
842c19:dd:d9:dd:c25:c25a:d00a:e553/1282c19:dd:d9:dd:c25:c25a:d00a:e553
852c19:dd:d9:dd:c25:c25a:d00a:e554/1282c19:dd:d9:dd:c25:c25a:d00a:e554
862c19:dd:d9:dd:c25:c25a:d00a:e555/1282c19:dd:d9:dd:c25:c25a:d00a:e555
872c19:dd:d9:dd:c25:c25a:d00a:e556/1282c19:dd:d9:dd:c25:c25a:d00a:e556
882c19:dd:d9:dd:c25:c25a:d00a:e557/1282c19:dd:d9:dd:c25:c25a:d00a:e557
892c19:dd:d9:dd:c25:c25a:d00a:e558/1282c19:dd:d9:dd:c25:c25a:d00a:e558
902c19:dd:d9:dd:c25:c25a:d00a:e559/1282c19:dd:d9:dd:c25:c25a:d00a:e559
912c19:dd:d9:dd:c25:c25a:d00a:e55a/1282c19:dd:d9:dd:c25:c25a:d00a:e55a
922c19:dd:d9:dd:c25:c25a:d00a:e55b/1282c19:dd:d9:dd:c25:c25a:d00a:e55b
932c19:dd:d9:dd:c25:c25a:d00a:e55c/1282c19:dd:d9:dd:c25:c25a:d00a:e55c
942c19:dd:d9:dd:c25:c25a:d00a:e55d/1282c19:dd:d9:dd:c25:c25a:d00a:e55d
952c19:dd:d9:dd:c25:c25a:d00a:e55e/1282c19:dd:d9:dd:c25:c25a:d00a:e55e
962c19:dd:d9:dd:c25:c25a:d00a:e55f/1282c19:dd:d9:dd:c25:c25a:d00a:e55f
972c19:dd:d9:dd:c25:c25a:d00a:e560/1282c19:dd:d9:dd:c25:c25a:d00a:e560
982c19:dd:d9:dd:c25:c25a:d00a:e561/1282c19:dd:d9:dd:c25:c25a:d00a:e561
992c19:dd:d9:dd:c25:c25a:d00a:e562/1282c19:dd:d9:dd:c25:c25a:d00a:e562
1002c19:dd:d9:dd:c25:c25a:d00a:e563/1282c19:dd:d9:dd:c25:c25a:d00a:e563
1012c19:dd:d9:dd:c25:c25a:d00a:e564/1282c19:dd:d9:dd:c25:c25a:d00a:e564
1022c19:dd:d9:dd:c25:c25a:d00a:e565/1282c19:dd:d9:dd:c25:c25a:d00a:e565
1032c19:dd:d9:dd:c25:c25a:d00a:e566/1282c19:dd:d9:dd:c25:c25a:d00a:e566
1042c19:dd:d9:dd:c25:c25a:d00a:e567/1282c19:dd:d9:dd:c25:c25a:d00a:e567
1052c19:dd:d9:dd:c25:c25a:d00a:e568/1282c19:dd:d9:dd:c25:c25a:d00a:e568
1062c19:dd:d9:dd:c25:c25a:d00a:e569/1282c19:dd:d9:dd:c25:c25a:d00a:e569
1072c19:dd:d9:dd:c25:c25a:d00a:e56a/1282c19:dd:d9:dd:c25:c25a:d00a:e56a
1082c19:dd:d9:dd:c25:c25a:d00a:e56b/1282c19:dd:d9:dd:c25:c25a:d00a:e56b
1092c19:dd:d9:dd:c25:c25a:d00a:e56c/1282c19:dd:d9:dd:c25:c25a:d00a:e56c
1102c19:dd:d9:dd:c25:c25a:d00a:e56d/1282c19:dd:d9:dd:c25:c25a:d00a:e56d
1112c19:dd:d9:dd:c25:c25a:d00a:e56e/1282c19:dd:d9:dd:c25:c25a:d00a:e56e
1122c19:dd:d9:dd:c25:c25a:d00a:e56f/1282c19:dd:d9:dd:c25:c25a:d00a:e56f
1132c19:dd:d9:dd:c25:c25a:d00a:e570/1282c19:dd:d9:dd:c25:c25a:d00a:e570
1142c19:dd:d9:dd:c25:c25a:d00a:e571/1282c19:dd:d9:dd:c25:c25a:d00a:e571
1152c19:dd:d9:dd:c25:c25a:d00a:e572/1282c19:dd:d9:dd:c25:c25a:d00a:e572
1162c19:dd:d9:dd:c25:c25a:d00a:e573/1282c19:dd:d9:dd:c25:c25a:d00a:e573
1172c19:dd:d9:dd:c25:c25a:d00a:e574/1282c19:dd:d9:dd:c25:c25a:d00a:e574
1182c19:dd:d9:dd:c25:c25a:d00a:e575/1282c19:dd:d9:dd:c25:c25a:d00a:e575
1192c19:dd:d9:dd:c25:c25a:d00a:e576/1282c19:dd:d9:dd:c25:c25a:d00a:e576
1202c19:dd:d9:dd:c25:c25a:d00a:e577/1282c19:dd:d9:dd:c25:c25a:d00a:e577
1212c19:dd:d9:dd:c25:c25a:d00a:e578/1282c19:dd:d9:dd:c25:c25a:d00a:e578
1222c19:dd:d9:dd:c25:c25a:d00a:e579/1282c19:dd:d9:dd:c25:c25a:d00a:e579
1232c19:dd:d9:dd:c25:c25a:d00a:e57a/1282c19:dd:d9:dd:c25:c25a:d00a:e57a
1242c19:dd:d9:dd:c25:c25a:d00a:e57b/1282c19:dd:d9:dd:c25:c25a:d00a:e57b
1252c19:dd:d9:dd:c25:c25a:d00a:e57c/1282c19:dd:d9:dd:c25:c25a:d00a:e57c
1262c19:dd:d9:dd:c25:c25a:d00a:e57d/1282c19:dd:d9:dd:c25:c25a:d00a:e57d
1272c19:dd:d9:dd:c25:c25a:d00a:e57e/1282c19:dd:d9:dd:c25:c25a:d00a:e57e
1282c19:dd:d9:dd:c25:c25a:d00a:e57f/1282c19:dd:d9:dd:c25:c25a:d00a:e57f
1292c19:dd:d9:dd:c25:c25a:d00a:e580/1282c19:dd:d9:dd:c25:c25a:d00a:e580
1302c19:dd:d9:dd:c25:c25a:d00a:e581/1282c19:dd:d9:dd:c25:c25a:d00a:e581
1312c19:dd:d9:dd:c25:c25a:d00a:e582/1282c19:dd:d9:dd:c25:c25a:d00a:e582
1322c19:dd:d9:dd:c25:c25a:d00a:e583/1282c19:dd:d9:dd:c25:c25a:d00a:e583
1332c19:dd:d9:dd:c25:c25a:d00a:e584/1282c19:dd:d9:dd:c25:c25a:d00a:e584
1342c19:dd:d9:dd:c25:c25a:d00a:e585/1282c19:dd:d9:dd:c25:c25a:d00a:e585
1352c19:dd:d9:dd:c25:c25a:d00a:e586/1282c19:dd:d9:dd:c25:c25a:d00a:e586
1362c19:dd:d9:dd:c25:c25a:d00a:e587/1282c19:dd:d9:dd:c25:c25a:d00a:e587
1372c19:dd:d9:dd:c25:c25a:d00a:e588/1282c19:dd:d9:dd:c25:c25a:d00a:e588
1382c19:dd:d9:dd:c25:c25a:d00a:e589/1282c19:dd:d9:dd:c25:c25a:d00a:e589
1392c19:dd:d9:dd:c25:c25a:d00a:e58a/1282c19:dd:d9:dd:c25:c25a:d00a:e58a
1402c19:dd:d9:dd:c25:c25a:d00a:e58b/1282c19:dd:d9:dd:c25:c25a:d00a:e58b
1412c19:dd:d9:dd:c25:c25a:d00a:e58c/1282c19:dd:d9:dd:c25:c25a:d00a:e58c
1422c19:dd:d9:dd:c25:c25a:d00a:e58d/1282c19:dd:d9:dd:c25:c25a:d00a:e58d
1432c19:dd:d9:dd:c25:c25a:d00a:e58e/1282c19:dd:d9:dd:c25:c25a:d00a:e58e
1442c19:dd:d9:dd:c25:c25a:d00a:e58f/1282c19:dd:d9:dd:c25:c25a:d00a:e58f
1452c19:dd:d9:dd:c25:c25a:d00a:e590/1282c19:dd:d9:dd:c25:c25a:d00a:e590
1462c19:dd:d9:dd:c25:c25a:d00a:e591/1282c19:dd:d9:dd:c25:c25a:d00a:e591
1472c19:dd:d9:dd:c25:c25a:d00a:e592/1282c19:dd:d9:dd:c25:c25a:d00a:e592
1482c19:dd:d9:dd:c25:c25a:d00a:e593/1282c19:dd:d9:dd:c25:c25a:d00a:e593
1492c19:dd:d9:dd:c25:c25a:d00a:e594/1282c19:dd:d9:dd:c25:c25a:d00a:e594
1502c19:dd:d9:dd:c25:c25a:d00a:e595/1282c19:dd:d9:dd:c25:c25a:d00a:e595
1512c19:dd:d9:dd:c25:c25a:d00a:e596/1282c19:dd:d9:dd:c25:c25a:d00a:e596
1522c19:dd:d9:dd:c25:c25a:d00a:e597/1282c19:dd:d9:dd:c25:c25a:d00a:e597
1532c19:dd:d9:dd:c25:c25a:d00a:e598/1282c19:dd:d9:dd:c25:c25a:d00a:e598
1542c19:dd:d9:dd:c25:c25a:d00a:e599/1282c19:dd:d9:dd:c25:c25a:d00a:e599
1552c19:dd:d9:dd:c25:c25a:d00a:e59a/1282c19:dd:d9:dd:c25:c25a:d00a:e59a
1562c19:dd:d9:dd:c25:c25a:d00a:e59b/1282c19:dd:d9:dd:c25:c25a:d00a:e59b
1572c19:dd:d9:dd:c25:c25a:d00a:e59c/1282c19:dd:d9:dd:c25:c25a:d00a:e59c
1582c19:dd:d9:dd:c25:c25a:d00a:e59d/1282c19:dd:d9:dd:c25:c25a:d00a:e59d
1592c19:dd:d9:dd:c25:c25a:d00a:e59e/1282c19:dd:d9:dd:c25:c25a:d00a:e59e
1602c19:dd:d9:dd:c25:c25a:d00a:e59f/1282c19:dd:d9:dd:c25:c25a:d00a:e59f
1612c19:dd:d9:dd:c25:c25a:d00a:e5a0/1282c19:dd:d9:dd:c25:c25a:d00a:e5a0
1622c19:dd:d9:dd:c25:c25a:d00a:e5a1/1282c19:dd:d9:dd:c25:c25a:d00a:e5a1
1632c19:dd:d9:dd:c25:c25a:d00a:e5a2/1282c19:dd:d9:dd:c25:c25a:d00a:e5a2
1642c19:dd:d9:dd:c25:c25a:d00a:e5a3/1282c19:dd:d9:dd:c25:c25a:d00a:e5a3
1652c19:dd:d9:dd:c25:c25a:d00a:e5a4/1282c19:dd:d9:dd:c25:c25a:d00a:e5a4
1662c19:dd:d9:dd:c25:c25a:d00a:e5a5/1282c19:dd:d9:dd:c25:c25a:d00a:e5a5
1672c19:dd:d9:dd:c25:c25a:d00a:e5a6/1282c19:dd:d9:dd:c25:c25a:d00a:e5a6
1682c19:dd:d9:dd:c25:c25a:d00a:e5a7/1282c19:dd:d9:dd:c25:c25a:d00a:e5a7
1692c19:dd:d9:dd:c25:c25a:d00a:e5a8/1282c19:dd:d9:dd:c25:c25a:d00a:e5a8
1702c19:dd:d9:dd:c25:c25a:d00a:e5a9/1282c19:dd:d9:dd:c25:c25a:d00a:e5a9
1712c19:dd:d9:dd:c25:c25a:d00a:e5aa/1282c19:dd:d9:dd:c25:c25a:d00a:e5aa
1722c19:dd:d9:dd:c25:c25a:d00a:e5ab/1282c19:dd:d9:dd:c25:c25a:d00a:e5ab
1732c19:dd:d9:dd:c25:c25a:d00a:e5ac/1282c19:dd:d9:dd:c25:c25a:d00a:e5ac
1742c19:dd:d9:dd:c25:c25a:d00a:e5ad/1282c19:dd:d9:dd:c25:c25a:d00a:e5ad
1752c19:dd:d9:dd:c25:c25a:d00a:e5ae/1282c19:dd:d9:dd:c25:c25a:d00a:e5ae
1762c19:dd:d9:dd:c25:c25a:d00a:e5af/1282c19:dd:d9:dd:c25:c25a:d00a:e5af
1772c19:dd:d9:dd:c25:c25a:d00a:e5b0/1282c19:dd:d9:dd:c25:c25a:d00a:e5b0
1782c19:dd:d9:dd:c25:c25a:d00a:e5b1/1282c19:dd:d9:dd:c25:c25a:d00a:e5b1
1792c19:dd:d9:dd:c25:c25a:d00a:e5b2/1282c19:dd:d9:dd:c25:c25a:d00a:e5b2
1802c19:dd:d9:dd:c25:c25a:d00a:e5b3/1282c19:dd:d9:dd:c25:c25a:d00a:e5b3
1812c19:dd:d9:dd:c25:c25a:d00a:e5b4/1282c19:dd:d9:dd:c25:c25a:d00a:e5b4
1822c19:dd:d9:dd:c25:c25a:d00a:e5b5/1282c19:dd:d9:dd:c25:c25a:d00a:e5b5
1832c19:dd:d9:dd:c25:c25a:d00a:e5b6/1282c19:dd:d9:dd:c25:c25a:d00a:e5b6
1842c19:dd:d9:dd:c25:c25a:d00a:e5b7/1282c19:dd:d9:dd:c25:c25a:d00a:e5b7
1852c19:dd:d9:dd:c25:c25a:d00a:e5b8/1282c19:dd:d9:dd:c25:c25a:d00a:e5b8
1862c19:dd:d9:dd:c25:c25a:d00a:e5b9/1282c19:dd:d9:dd:c25:c25a:d00a:e5b9
1872c19:dd:d9:dd:c25:c25a:d00a:e5ba/1282c19:dd:d9:dd:c25:c25a:d00a:e5ba
1882c19:dd:d9:dd:c25:c25a:d00a:e5bb/1282c19:dd:d9:dd:c25:c25a:d00a:e5bb
1892c19:dd:d9:dd:c25:c25a:d00a:e5bc/1282c19:dd:d9:dd:c25:c25a:d00a:e5bc
1902c19:dd:d9:dd:c25:c25a:d00a:e5bd/1282c19:dd:d9:dd:c25:c25a:d00a:e5bd
1912c19:dd:d9:dd:c25:c25a:d00a:e5be/1282c19:dd:d9:dd:c25:c25a:d00a:e5be
1922c19:dd:d9:dd:c25:c25a:d00a:e5bf/1282c19:dd:d9:dd:c25:c25a:d00a:e5bf
1932c19:dd:d9:dd:c25:c25a:d00a:e5c0/1282c19:dd:d9:dd:c25:c25a:d00a:e5c0
1942c19:dd:d9:dd:c25:c25a:d00a:e5c1/1282c19:dd:d9:dd:c25:c25a:d00a:e5c1
1952c19:dd:d9:dd:c25:c25a:d00a:e5c2/1282c19:dd:d9:dd:c25:c25a:d00a:e5c2
1962c19:dd:d9:dd:c25:c25a:d00a:e5c3/1282c19:dd:d9:dd:c25:c25a:d00a:e5c3
1972c19:dd:d9:dd:c25:c25a:d00a:e5c4/1282c19:dd:d9:dd:c25:c25a:d00a:e5c4
1982c19:dd:d9:dd:c25:c25a:d00a:e5c5/1282c19:dd:d9:dd:c25:c25a:d00a:e5c5
1992c19:dd:d9:dd:c25:c25a:d00a:e5c6/1282c19:dd:d9:dd:c25:c25a:d00a:e5c6
2002c19:dd:d9:dd:c25:c25a:d00a:e5c7/1282c19:dd:d9:dd:c25:c25a:d00a:e5c7
2012c19:dd:d9:dd:c25:c25a:d00a:e5c8/1282c19:dd:d9:dd:c25:c25a:d00a:e5c8
2022c19:dd:d9:dd:c25:c25a:d00a:e5c9/1282c19:dd:d9:dd:c25:c25a:d00a:e5c9
2032c19:dd:d9:dd:c25:c25a:d00a:e5ca/1282c19:dd:d9:dd:c25:c25a:d00a:e5ca
2042c19:dd:d9:dd:c25:c25a:d00a:e5cb/1282c19:dd:d9:dd:c25:c25a:d00a:e5cb
2052c19:dd:d9:dd:c25:c25a:d00a:e5cc/1282c19:dd:d9:dd:c25:c25a:d00a:e5cc
2062c19:dd:d9:dd:c25:c25a:d00a:e5cd/1282c19:dd:d9:dd:c25:c25a:d00a:e5cd
2072c19:dd:d9:dd:c25:c25a:d00a:e5ce/1282c19:dd:d9:dd:c25:c25a:d00a:e5ce
2082c19:dd:d9:dd:c25:c25a:d00a:e5cf/1282c19:dd:d9:dd:c25:c25a:d00a:e5cf
2092c19:dd:d9:dd:c25:c25a:d00a:e5d0/1282c19:dd:d9:dd:c25:c25a:d00a:e5d0
2102c19:dd:d9:dd:c25:c25a:d00a:e5d1/1282c19:dd:d9:dd:c25:c25a:d00a:e5d1
2112c19:dd:d9:dd:c25:c25a:d00a:e5d2/1282c19:dd:d9:dd:c25:c25a:d00a:e5d2
2122c19:dd:d9:dd:c25:c25a:d00a:e5d3/1282c19:dd:d9:dd:c25:c25a:d00a:e5d3
2132c19:dd:d9:dd:c25:c25a:d00a:e5d4/1282c19:dd:d9:dd:c25:c25a:d00a:e5d4
2142c19:dd:d9:dd:c25:c25a:d00a:e5d5/1282c19:dd:d9:dd:c25:c25a:d00a:e5d5
2152c19:dd:d9:dd:c25:c25a:d00a:e5d6/1282c19:dd:d9:dd:c25:c25a:d00a:e5d6
2162c19:dd:d9:dd:c25:c25a:d00a:e5d7/1282c19:dd:d9:dd:c25:c25a:d00a:e5d7
2172c19:dd:d9:dd:c25:c25a:d00a:e5d8/1282c19:dd:d9:dd:c25:c25a:d00a:e5d8
2182c19:dd:d9:dd:c25:c25a:d00a:e5d9/1282c19:dd:d9:dd:c25:c25a:d00a:e5d9
2192c19:dd:d9:dd:c25:c25a:d00a:e5da/1282c19:dd:d9:dd:c25:c25a:d00a:e5da
2202c19:dd:d9:dd:c25:c25a:d00a:e5db/1282c19:dd:d9:dd:c25:c25a:d00a:e5db
2212c19:dd:d9:dd:c25:c25a:d00a:e5dc/1282c19:dd:d9:dd:c25:c25a:d00a:e5dc
2222c19:dd:d9:dd:c25:c25a:d00a:e5dd/1282c19:dd:d9:dd:c25:c25a:d00a:e5dd
2232c19:dd:d9:dd:c25:c25a:d00a:e5de/1282c19:dd:d9:dd:c25:c25a:d00a:e5de
2242c19:dd:d9:dd:c25:c25a:d00a:e5df/1282c19:dd:d9:dd:c25:c25a:d00a:e5df
2252c19:dd:d9:dd:c25:c25a:d00a:e5e0/1282c19:dd:d9:dd:c25:c25a:d00a:e5e0
2262c19:dd:d9:dd:c25:c25a:d00a:e5e1/1282c19:dd:d9:dd:c25:c25a:d00a:e5e1
2272c19:dd:d9:dd:c25:c25a:d00a:e5e2/1282c19:dd:d9:dd:c25:c25a:d00a:e5e2
2282c19:dd:d9:dd:c25:c25a:d00a:e5e3/1282c19:dd:d9:dd:c25:c25a:d00a:e5e3
2292c19:dd:d9:dd:c25:c25a:d00a:e5e4/1282c19:dd:d9:dd:c25:c25a:d00a:e5e4
2302c19:dd:d9:dd:c25:c25a:d00a:e5e5/1282c19:dd:d9:dd:c25:c25a:d00a:e5e5
2312c19:dd:d9:dd:c25:c25a:d00a:e5e6/1282c19:dd:d9:dd:c25:c25a:d00a:e5e6
2322c19:dd:d9:dd:c25:c25a:d00a:e5e7/1282c19:dd:d9:dd:c25:c25a:d00a:e5e7
2332c19:dd:d9:dd:c25:c25a:d00a:e5e8/1282c19:dd:d9:dd:c25:c25a:d00a:e5e8
2342c19:dd:d9:dd:c25:c25a:d00a:e5e9/1282c19:dd:d9:dd:c25:c25a:d00a:e5e9
2352c19:dd:d9:dd:c25:c25a:d00a:e5ea/1282c19:dd:d9:dd:c25:c25a:d00a:e5ea
2362c19:dd:d9:dd:c25:c25a:d00a:e5eb/1282c19:dd:d9:dd:c25:c25a:d00a:e5eb
2372c19:dd:d9:dd:c25:c25a:d00a:e5ec/1282c19:dd:d9:dd:c25:c25a:d00a:e5ec
2382c19:dd:d9:dd:c25:c25a:d00a:e5ed/1282c19:dd:d9:dd:c25:c25a:d00a:e5ed
2392c19:dd:d9:dd:c25:c25a:d00a:e5ee/1282c19:dd:d9:dd:c25:c25a:d00a:e5ee
2402c19:dd:d9:dd:c25:c25a:d00a:e5ef/1282c19:dd:d9:dd:c25:c25a:d00a:e5ef
2412c19:dd:d9:dd:c25:c25a:d00a:e5f0/1282c19:dd:d9:dd:c25:c25a:d00a:e5f0
2422c19:dd:d9:dd:c25:c25a:d00a:e5f1/1282c19:dd:d9:dd:c25:c25a:d00a:e5f1
2432c19:dd:d9:dd:c25:c25a:d00a:e5f2/1282c19:dd:d9:dd:c25:c25a:d00a:e5f2
2442c19:dd:d9:dd:c25:c25a:d00a:e5f3/1282c19:dd:d9:dd:c25:c25a:d00a:e5f3
2452c19:dd:d9:dd:c25:c25a:d00a:e5f4/1282c19:dd:d9:dd:c25:c25a:d00a:e5f4
2462c19:dd:d9:dd:c25:c25a:d00a:e5f5/1282c19:dd:d9:dd:c25:c25a:d00a:e5f5
2472c19:dd:d9:dd:c25:c25a:d00a:e5f6/1282c19:dd:d9:dd:c25:c25a:d00a:e5f6
2482c19:dd:d9:dd:c25:c25a:d00a:e5f7/1282c19:dd:d9:dd:c25:c25a:d00a:e5f7
2492c19:dd:d9:dd:c25:c25a:d00a:e5f8/1282c19:dd:d9:dd:c25:c25a:d00a:e5f8
2502c19:dd:d9:dd:c25:c25a:d00a:e5f9/1282c19:dd:d9:dd:c25:c25a:d00a:e5f9
2512c19:dd:d9:dd:c25:c25a:d00a:e5fa/1282c19:dd:d9:dd:c25:c25a:d00a:e5fa
2522c19:dd:d9:dd:c25:c25a:d00a:e5fb/1282c19:dd:d9:dd:c25:c25a:d00a:e5fb
2532c19:dd:d9:dd:c25:c25a:d00a:e5fc/1282c19:dd:d9:dd:c25:c25a:d00a:e5fc
2542c19:dd:d9:dd:c25:c25a:d00a:e5fd/1282c19:dd:d9:dd:c25:c25a:d00a:e5fd
2552c19:dd:d9:dd:c25:c25a:d00a:e5fe/1282c19:dd:d9:dd:c25:c25a:d00a:e5fe
2562c19:dd:d9:dd:c25:c25a:d00a:e5ff/1282c19:dd:d9:dd:c25:c25a:d00a:e5ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses